Evaluate Scalar Field
=====================

Functionality
-------------

This node calculates the value of the provided Scalar Field at the specified point.

Inputs
------

This node has the following inputs:

* **Field**. The field to be evaluated. This input is mandatory.
* **Vertices**. The points at which the field is to be evaluated. The default value is `(0, 0, 0)`.

Parameters
----------

* **Output NumPy**. Outputs NumPy arrays in stead of regular python lists. Improves performance

Outputs
-------

This node has the following output:

* **Value**. The values of the field at the specified points.

Performance Notes
-----------------

This node works faster when the vertices list are NumPy arrays

Example of usage
----------------

Use the values of scalar field to scale the cubes:

.. image:: https://user-images.githubusercontent.com/284644/79475246-dc352280-8020-11ea-8f8d-ddd3d6ca7a73.png
